Unlink GitLab repository from project
curl --request DELETE \
--url https://api-eu.cybedefend.com/integrations/gitlab/organization/{organizationId}/project/{projectId}/unlink \
--header 'Content-Type: application/json' \
--data '
{
"repositoryId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api-eu.cybedefend.com/integrations/gitlab/organization/{organizationId}/project/{projectId}/unlink"
payload = { "repositoryId": "550e8400-e29b-41d4-a716-446655440000" }
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({repositoryId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api-eu.cybedefend.com/integrations/gitlab/organization/{organizationId}/project/{projectId}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
GitLab
Unlink GitLab repository from project
Removes the link between a GitLab repository and a CybeDefend project. This will stop webhook events and automated scans for this repository.
DELETE
/
integrations
/
gitlab
/
organization
/
{organizationId}
/
project
/
{projectId}
/
unlink
Unlink GitLab repository from project
Path Parameters
The unique identifier of the organization that owns the project
Example:
"550e8400-e29b-41d4-a716-446655440000"
The unique identifier of the project to unlink from the GitLab repository
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
GitLab repository identifier to unlink
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
GitLab repository unlinked successfully
⌘I